changeset 523:a32463dc4cb2

Build examples in CI
author Lewin Bormann <lbo@spheniscida.de>
date Sun, 23 Feb 2020 23:07:42 +0100
parents f4bbb33b6b4c
children c0e92d14e550
files .travis.yml examples/build_examples.sh
diffstat 2 files changed, 11 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/.travis.yml	Sun Feb 23 23:00:53 2020 +0100
+++ b/.travis.yml	Sun Feb 23 23:07:42 2020 +0100
@@ -19,6 +19,7 @@
 script: 
   - cargo build
   - cargo test
+  - examples/build_examples.sh
 
 jobs:
   include:
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/examples/build_examples.sh	Sun Feb 23 23:07:42 2020 +0100
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+
+for D in `find examples/ -maxdepth 1 -mindepth 1 -type d`;
+do
+    pushd ${D}
+    cargo build
+    popd
+done